function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"3",100,"messageinfo") 
-- return;end;
showoptons(0);
return;end;

function mini_create ()
show_help_wnd=true;
	init_mini(1);
  -- ОПИСАНИЕ ПАРАМЕТРОВ ДЛЯ ИГРЫ "КРАДУЧЕНИЕ"
--  1-й параметр - Код игры. Код для этой игры - 29.
--  2-й параметр - Идентификатор объекта, за пересечением с которым нужно следить.
--  3-й параметр - X-координата верхнего левого угла целевого прямоугольника.
--  4-й параметр - Y-координата верхнего левого угла целевого прямоугольника.
--  5-й параметр - X-координата нижнего правого угла целевого прямоугольника.
--  6-й параметр - Y-координата нижнего правого угла целевого прямоугольника.
	create_mini(29,1004,224,465,249,490,1005);

end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)

	if sender==100 then
		AddLineStrip(2016);
		StartLineStrip(2016);		
	return;end;
	if sender==30 then
		setcurentleaf("killer",14,1);
		FreeCustomCursor(1016);
		DarkScreen(false);
		if flags.minicomplete2 then
		    StopEmiter("Tumb");
			speciale_action(2,123,true);
			setcolor(123,0,0,0,1,1);			
			Set_Cursor(45,3)
			savegame(SaveLevel())
		return;end;
	return; end;
	if sender==16 then
		if not help then
			help=true;
			CreateWindow(200,200,"3",100,"messageinfo")
		end;			
	   BlockCursor(false)
	return;end;
	if sender==26 then
		SetCursorPos(550,580)
	return;end;
	
	if sender==36 then
		if id==2100 then
		BlockCursor(false);
		clear_satelite_leaf("killer");
		return;end;
	return;end;
	if sender==37 then
	   skipping=true;
	return;end;	
	if sender==10 then
	    StopLineStrip(2016);
		flags.minicomplete2=true;
		playeffect("miniC");
		StartTimer(2100,2)
		BlockCursor(true);
	return; end;
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;		
	if sender==1 then
		if id==6000 then
			   CreateWindow(200,200,"3",100,"messageinfo")
		return;end;			
		if not flags.minicomplete2 then
			-- if id==1000 then
				 -- addObjectToMouse(id);
			-- return;end;
			if id==5000 and skipping and attachedID==-1 then
				playeffect("skip");
				finish_mini_game(true);
			return;end;
			if id==1001 and attachedID==-1 then
				playeffect("close");
				clear_satelite_leaf("killer");
				finish_mini_game(false);
				DeleteResource("am1_pen");
				DeleteResource("am1_walls");
				DeleteResource("am1_bg");
				DeleteResource("m1_btn");
			return;end;
		return;end;
	return;end;
	
	
end;
function mini_delete ()

end;
function Recapture(nCount,Param1,Param2,Param3)
 -- messagebox("Capture at ".."("..Param1..";"..Param2..")");
	if Param3==1 then 
	   CreateWindow(100,100,"6");
	 
	   StopLineStrip(2016);
	   ClearLineStrip(2016);
	   
	return;end;
   
  -- SetCursorPos(550,580)
  CreateWindow(100,100,"5");

   StopLineStrip(2016);
   ClearLineStrip(2016);
   end;
function Start(nCount)
	SetCursorPos(550,580)
	WaitRender()


--нажимает
end;
function Finish(nCount)
  finish_mini_game(true);
 -- messagebox("Finish");
end;